# Run agents channels allocations (by id)

`POST /agents/{id}/channels/allocations` · Rivier · agents

- Scope: agents:write
- Mcp: rivier_personas_resource_request
- Graphql: Mutation.agentsChannelsAllocationsCreate
- Sdk: agents.channelsAllocations.create
- Cli: agents channels allocations create

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/agents/{id}/channels/allocations' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
